import { IHotelColorScheme } from '@roomstay/core';
import { Company } from '../../../models/Client/Hotel/Company';
import { Hotel } from '../../../models/Client/Hotel/Hotel';
import Step from '../Step';
import StepDateValidator from './StepDateValidator';
declare class StepDate extends Step {
    constructor();
    getComponent(): () => import("react").JSX.Element;
    getValidator(): StepDateValidator;
    getStepTranslation(): string;
    getColorProfile(company: Company, hotel?: Hotel): IHotelColorScheme | undefined;
}
declare const _default: StepDate;
export default _default;
